## linux-aws 6.17.0

=== drivers/power/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_POWER_RESET)	+= reset/
obj-$(CONFIG_POWER_SEQUENCING)	+= sequencing/
obj-$(CONFIG_POWER_SUPPLY)	+= supply/

=== drivers/usb/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the kernel USB device drivers.
#

# Object files in subdirectories

obj-$(CONFIG_USB_COMMON)	+= common/
obj-$(CONFIG_USB)		+= core/
obj-$(CONFIG_USB_SUPPORT)	+= phy/

obj-$(CONFIG_USB_DWC3)		+= dwc3/
obj-$(CONFIG_USB_DWC2)		+= dwc2/
obj-$(CONFIG_USB_ISP1760)	+= isp1760/

obj-$(CONFIG_USB_CDNS_SUPPORT)	+= cdns3/
obj-$(CONFIG_USB_CDNS3)		+= cdns3/
obj-$(CONFIG_USB_CDNSP_PCI)	+= cdns3/

obj-$(CONFIG_USB_FOTG210)	+= fotg210/

obj-$(CONFIG_USB_MON)		+= mon/
obj-$(CONFIG_USB_MTU3)		+= mtu3/

obj-$(CONFIG_USB_PCI)		+= host/
obj-$(CONFIG_USB_EHCI_HCD)	+= host/
obj-$(CONFIG_USB_ISP116X_HCD)	+= host/
obj-$(CONFIG_USB_OHCI_HCD)	+= host/
obj-$(CONFIG_USB_UHCI_HCD)	+= host/
obj-$(CONFIG_USB_FHCI_HCD)	+= host/
obj-$(CONFIG_USB_XHCI_HCD)	+= host/
obj-$(CONFIG_USB_SL811_HCD)	+= host/
obj-$(CONFIG_USB_ISP1362_HCD)	+= host/
obj-$(CONFIG_USB_R8A66597_HCD)	+= host/
obj-$(CONFIG_USB_FSL_USB2)	+= host/
obj-$(CONFIG_USB_FOTG210_HCD)	+= host/
obj-$(CONFIG_USB_MAX3421_HCD)	+= host/
obj-$(CONFIG_USB_XEN_HCD)	+= host/

obj-$(CONFIG_USB_C67X00_HCD)	+= c67x00/

obj-$(CONFIG_USB_ACM)		+= class/
obj-$(CONFIG_USB_PRINTER)	+= class/
obj-$(CONFIG_USB_WDM)		+= class/
obj-$(CONFIG_USB_TMC)		+= class/

obj-$(CONFIG_USB_STORAGE)	+= storage/
obj-$(CONFIG_USB)		+= storage/

obj-$(CONFIG_USB_MDC800)	+= image/
obj-$(CONFIG_USB_MICROTEK)	+= image/

obj-$(CONFIG_USB_SERIAL)	+= serial/

obj-$(CONFIG_USB)		+= misc/
obj-$(CONFIG_EARLY_PRINTK_USB)	+= early/

obj-$(CONFIG_USB_ATM)		+= atm/
obj-$(CONFIG_USB_SPEEDTOUCH)	+= atm/

obj-$(CONFIG_USB_MUSB_HDRC)	+= musb/
obj-$(CONFIG_USB_CHIPIDEA)	+= chipidea/
obj-$(CONFIG_USB_RENESAS_USBHS)	+= renesas_usbhs/
obj-$(CONFIG_USB_GADGET)	+= gadget/

obj-$(CONFIG_USBIP_CORE)	+= usbip/

obj-$(CONFIG_TYPEC)		+= typec/

obj-$(CONFIG_USB_ROLE_SWITCH)	+= roles/

=== fs/iomap/Makefile ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# Copyright (c) 2019 Oracle.
# All Rights Reserved.
#

ccflags-y += -I $(src)		# needed for trace events

obj-$(CONFIG_FS_IOMAP)		+= iomap.o

iomap-y				+= trace.o \
				   iter.o \
				   buffered-io.o
iomap-$(CONFIG_BLOCK)		+= direct-io.o \
				   ioend.o \
				   fiemap.o \
				   seek.o
iomap-$(CONFIG_SWAP)		+= swapfile.o

=== arch/arm/mach-s3c/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Copyright 2009 Simtec Electronics

include $(src)/Makefile.s3c64xx

# Objects we always build independent of SoC choice

obj-y				+= init.o cpu.o

# devices

obj-$(CONFIG_SAMSUNG_ATAGS)	+= platformdata.o
obj-$(CONFIG_SAMSUNG_ATAGS)	+= devs.o
obj-$(CONFIG_SAMSUNG_ATAGS)	+= dev-uart.o

obj-$(CONFIG_GPIO_SAMSUNG)     += gpio-samsung.o

# PM support

obj-$(CONFIG_SAMSUNG_PM)	+= pm.o pm-common.o
obj-$(CONFIG_SAMSUNG_PM_GPIO)	+= pm-gpio.o
obj-$(CONFIG_SAMSUNG_WAKEMASK)	+= wakeup-mask.o

=== drivers/clk/sunxi-ng/Makefile ===
# SPDX-License-Identifier: GPL-2.0

obj-$(CONFIG_SUNXI_CCU)		+= sunxi-ccu.o

# Common objects
sunxi-ccu-y			+= ccu_common.o
sunxi-ccu-y			+= ccu_mmc_timing.o
sunxi-ccu-y			+= ccu_reset.o

# Base clock types
sunxi-ccu-y			+= ccu_div.o
sunxi-ccu-y			+= ccu_frac.o
sunxi-ccu-y			+= ccu_gate.o
sunxi-ccu-y			+= ccu_mux.o
sunxi-ccu-y			+= ccu_mult.o
sunxi-ccu-y			+= ccu_phase.o
sunxi-ccu-y			+= ccu_sdm.o

# Multi-factor clocks
sunxi-ccu-y			+= ccu_nk.o
sunxi-ccu-y			+= ccu_nkm.o
sunxi-ccu-y			+= ccu_nkmp.o
sunxi-ccu-y			+= ccu_nm.o
sunxi-ccu-y			+= ccu_mp.o

# SoC support
obj-$(CONFIG_SUNIV_F1C100S_CCU)	+= suniv-f1c100s-ccu.o
obj-$(CONFIG_SUN20I_D1_CCU)	+= sun20i-d1-ccu.o
obj-$(CONFIG_SUN20I_D1_R_CCU)	+= sun20i-d1-r-ccu.o
obj-$(CONFIG_SUN50I_A64_CCU)	+= sun50i-a64-ccu.o
obj-$(CONFIG_SUN50I_A100_CCU)	+= sun50i-a100-ccu.o
obj-$(CONFIG_SUN50I_A100_R_CCU)	+= sun50i-a100-r-ccu.o
obj-$(CONFIG_SUN50I_H6_CCU)	+= sun50i-h6-ccu.o
obj-$(CONFIG_SUN50I_H6_R_CCU)	+= sun50i-h6-r-ccu.o
obj-$(CONFIG_SUN50I_H616_CCU)	+= sun50i-h616-ccu.o
obj-$(CONFIG_SUN55I_A523_CCU)	+= sun55i-a523-ccu.o
obj-$(CONFIG_SUN55I_A523_R_CCU)	+= sun55i-a523-r-ccu.o
obj-$(CONFIG_SUN4I_A10_CCU)	+= sun4i-a10-ccu.o
obj-$(CONFIG_SUN5I_CCU)		+= sun5i-ccu.o
obj-$(CONFIG_SUN6I_A31_CCU)	+= sun6i-a31-ccu.o
obj-$(CONFIG_SUN6I_RTC_CCU)	+= sun6i-rtc-ccu.o
obj-$(CONFIG_SUN8I_A23_CCU)	+= sun8i-a23-ccu.o
obj-$(CONFIG_SUN8I_A33_CCU)	+= sun8i-a33-ccu.o
obj-$(CONFIG_SUN8I_A83T_CCU)	+= sun8i-a83t-ccu.o
obj-$(CONFIG_SUN8I_H3_CCU)	+= sun8i-h3-ccu.o
obj-$(CONFIG_SUN8I_R40_CCU)	+= sun8i-r40-ccu.o
obj-$(CONFIG_SUN8I_V3S_CCU)	+= sun8i-v3s-ccu.o
obj-$(CONFIG_SUN8I_DE2_CCU)	+= sun8i-de2-ccu.o
obj-$(CONFIG_SUN8I_R_CCU)	+= sun8i-r-ccu.o
obj-$(CONFIG_SUN9I_A80_CCU)	+= sun9i-a80-ccu.o
obj-$(CONFIG_SUN9I_A80_CCU)	+= sun9i-a80-de-ccu.o
obj-$(CONFIG_SUN9I_A80_CCU)	+= sun9i-a80-usb-ccu.o

suniv-f1c100s-ccu-y		+= ccu-suniv-f1c100s.o
sun20i-d1-ccu-y			+= ccu-sun20i-d1.o
sun20i-d1-r-ccu-y		+= ccu-sun20i-d1-r.o
sun50i-a64-ccu-y		+= ccu-sun50i-a64.o
sun50i-a100-ccu-y		+= ccu-sun50i-a100.o
sun50i-a100-r-ccu-y		+= ccu-sun50i-a100-r.o
sun50i-h6-ccu-y			+= ccu-sun50i-h6.o
sun50i-h6-r-ccu-y		+= ccu-sun50i-h6-r.o
sun50i-h616-ccu-y		+= ccu-sun50i-h616.o
sun55i-a523-ccu-y		+= ccu-sun55i-a523.o
sun55i-a523-r-ccu-y		+= ccu-sun55i-a523-r.o
sun4i-a10-ccu-y			+= ccu-sun4i-a10.o
sun5i-ccu-y			+= ccu-sun5i.o
sun6i-a31-ccu-y			+= ccu-sun6i-a31.o
sun6i-rtc-ccu-y			+= ccu-sun6i-rtc.o
sun8i-a23-ccu-y			+= ccu-sun8i-a23.o
sun8i-a33-ccu-y			+= ccu-sun8i-a33.o
sun8i-a83t-ccu-y		+= ccu-sun8i-a83t.o
sun8i-h3-ccu-y			+= ccu-sun8i-h3.o
sun8i-r40-ccu-y			+= ccu-sun8i-r40.o
sun8i-v3s-ccu-y			+= ccu-sun8i-v3s.o
sun8i-de2-ccu-y			+= ccu-sun8i-de2.o
sun8i-r-ccu-y			+= ccu-sun8i-r.o
sun9i-a80-ccu-y			+= ccu-sun9i-a80.o
sun9i-a80-de-ccu-y		+= ccu-sun9i-a80-de.o
sun9i-a80-usb-ccu-y		+= ccu-sun9i-a80-usb.o

=== drivers/hwmon/pmbus/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for PMBus chip drivers.
#

obj-$(CONFIG_PMBUS)		+= pmbus_core.o
obj-$(CONFIG_SENSORS_PMBUS)	+= pmbus.o
obj-$(CONFIG_SENSORS_ACBEL_FSG032) += acbel-fsg032.o
obj-$(CONFIG_SENSORS_ADM1266)	+= adm1266.o
obj-$(CONFIG_SENSORS_ADM1275)	+= adm1275.o
obj-$(CONFIG_SENSORS_ADP1050)	+= adp1050.o
obj-$(CONFIG_SENSORS_BEL_PFE)	+= bel-pfe.o
obj-$(CONFIG_SENSORS_BPA_RS600)	+= bpa-rs600.o
obj-$(CONFIG_SENSORS_DELTA_AHE50DC_FAN) += delta-ahe50dc-fan.o
obj-$(CONFIG_SENSORS_FSP_3Y)	+= fsp-3y.o
obj-$(CONFIG_SENSORS_IBM_CFFPS)	+= ibm-cffps.o
obj-$(CONFIG_SENSORS_DPS920AB)	+= dps920ab.o
obj-$(CONFIG_SENSORS_INA233)	+= ina233.o
obj-$(CONFIG_SENSORS_INSPUR_IPSPS) += inspur-ipsps.o
obj-$(CONFIG_SENSORS_IR35221)	+= ir35221.o
obj-$(CONFIG_SENSORS_IR36021)	+= ir36021.o
obj-$(CONFIG_SENSORS_IR38064)	+= ir38064.o
obj-$(CONFIG_SENSORS_IRPS5401)	+= irps5401.o
obj-$(CONFIG_SENSORS_ISL68137)	+= isl68137.o
obj-$(CONFIG_SENSORS_LM25066)	+= lm25066.o
obj-$(CONFIG_SENSORS_LT3074)	+= lt3074.o
obj-$(CONFIG_SENSORS_LT7182S)	+= lt7182s.o
obj-$(CONFIG_SENSORS_LTC2978)	+= ltc2978.o
obj-$(CONFIG_SENSORS_LTC3815)	+= ltc3815.o
obj-$(CONFIG_SENSORS_LTC4286)	+= ltc4286.o
obj-$(CONFIG_SENSORS_MAX15301)	+= max15301.o
obj-$(CONFIG_SENSORS_MAX16064)	+= max16064.o
obj-$(CONFIG_SENSORS_MAX16601)	+= max16601.o
obj-$(CONFIG_SENSORS_MAX20730)	+= max20730.o
obj-$(CONFIG_SENSORS_MAX20751)	+= max20751.o
obj-$(CONFIG_SENSORS_MAX31785)	+= max31785.o
obj-$(CONFIG_SENSORS_MAX34440)	+= max34440.o
obj-$(CONFIG_SENSORS_MAX8688)	+= max8688.o
obj-$(CONFIG_SENSORS_MP2856)	+= mp2856.o
obj-$(CONFIG_SENSORS_MP2888)	+= mp2888.o
obj-$(CONFIG_SENSORS_MP2891)	+= mp2891.o
obj-$(CONFIG_SENSORS_MP2975)	+= mp2975.o
obj-$(CONFIG_SENSORS_MP2993)	+= mp2993.o
obj-$(CONFIG_SENSORS_MP5023)	+= mp5023.o
obj-$(CONFIG_SENSORS_MP5920)	+= mp5920.o
obj-$(CONFIG_SENSORS_MP5990)	+= mp5990.o
obj-$(CONFIG_SENSORS_MP9941)	+= mp9941.o
obj-$(CONFIG_SENSORS_MPQ7932)	+= mpq7932.o
obj-$(CONFIG_SENSORS_MPQ8785)	+= mpq8785.o
obj-$(CONFIG_SENSORS_PLI1209BC)	+= pli1209bc.o
obj-$(CONFIG_SENSORS_PM6764TR)	+= pm6764tr.o
obj-$(CONFIG_SENSORS_PXE1610)	+= pxe1610.o
obj-$(CONFIG_SENSORS_Q54SJ108A2)	+= q54sj108a2.o
obj-$(CONFIG_SENSORS_STPDDC60)	+= stpddc60.o
obj-$(CONFIG_SENSORS_TDA38640)	+= tda38640.o
obj-$(CONFIG_SENSORS_TPS25990)	+= tps25990.o
obj-$(CONFIG_SENSORS_TPS40422)	+= tps40422.o
obj-$(CONFIG_SENSORS_TPS53679)	+= tps53679.o
obj-$(CONFIG_SENSORS_TPS546D24)	+= tps546d24.o
obj-$(CONFIG_SENSORS_UCD9000)	+= ucd9000.o
obj-$(CONFIG_SENSORS_UCD9200)	+= ucd9200.o
obj-$(CONFIG_SENSORS_XDP710)	+= xdp710.o
obj-$(CONFIG_SENSORS_XDPE122)	+= xdpe12284.o
obj-$(CONFIG_SENSORS_XDPE152)	+= xdpe152c4.o
obj-$(CONFIG_SENSORS_ZL6100)	+= zl6100.o
obj-$(CONFIG_SENSORS_PIM4328)	+= pim4328.o
obj-$(CONFIG_SENSORS_CRPS)	+= crps.o

=== drivers/power/supply/Makefile ===
# SPDX-License-Identifier: GPL-2.0
subdir-ccflags-$(CONFIG_POWER_SUPPLY_DEBUG) := -DDEBUG

power_supply-y				:= power_supply_core.o
power_supply-$(CONFIG_SYSFS)		+= power_supply_sysfs.o
power_supply-$(CONFIG_LEDS_TRIGGERS)	+= power_supply_leds.o

obj-$(CONFIG_POWER_SUPPLY)	+= power_supply.o
obj-$(CONFIG_POWER_SUPPLY_HWMON) += power_supply_hwmon.o
obj-$(CONFIG_GENERIC_ADC_BATTERY)	+= generic-adc-battery.o

obj-$(CONFIG_APM_POWER)		+= apm_power.o
obj-$(CONFIG_AXP20X_POWER)	+= axp20x_usb_power.o
obj-$(CONFIG_IP5XXX_POWER)	+= ip5xxx_power.o
obj-$(CONFIG_MAX8925_POWER)	+= max8925_power.o
obj-$(CONFIG_WM831X_BACKUP)	+= wm831x_backup.o
obj-$(CONFIG_WM831X_POWER)	+= wm831x_power.o
obj-$(CONFIG_WM8350_POWER)	+= wm8350_power.o
obj-$(CONFIG_TEST_POWER)	+= test_power.o

obj-$(CONFIG_BATTERY_88PM860X)	+= 88pm860x_battery.o
obj-$(CONFIG_CHARGER_ADP5061)	+= adp5061.o
obj-$(CONFIG_BATTERY_ACT8945A)	+= act8945a_charger.o
obj-$(CONFIG_BATTERY_AXP20X)	+= axp20x_battery.o
obj-$(CONFIG_CHARGER_AXP20X)	+= axp20x_ac_power.o
obj-$(CONFIG_BATTERY_CHAGALL)	+= chagall-battery.o
obj-$(CONFIG_BATTERY_CPCAP)	+= cpcap-battery.o
obj-$(CONFIG_BATTERY_CW2015)	+= cw2015_battery.o
obj-$(CONFIG_BATTERY_DS2760)	+= ds2760_battery.o
obj-$(CONFIG_BATTERY_DS2780)	+= ds2780_battery.o
obj-$(CONFIG_BATTERY_DS2781)	+= ds2781_battery.o
obj-$(CONFIG_BATTERY_DS2782)	+= ds2782_battery.o
obj-$(CONFIG_BATTERY_GAUGE_LTC2941)	+= ltc2941-battery-gauge.o
obj-$(CONFIG_BATTERY_GOLDFISH)	+= goldfish_battery.o
obj-$(CONFIG_BATTERY_HUAWEI_GAOKUN)	+= huawei-gaokun-battery.o
obj-$(CONFIG_BATTERY_LEGO_EV3)	+= lego_ev3_battery.o
obj-$(CONFIG_BATTERY_LENOVO_YOGA_C630) += lenovo_yoga_c630_battery.o
obj-$(CONFIG_BATTERY_PMU)	+= pmu_battery.o
obj-$(CONFIG_BATTERY_QCOM_BATTMGR)	+= qcom_battmgr.o
obj-$(CONFIG_BATTERY_OLPC)	+= olpc_battery.o
obj-$(CONFIG_BATTERY_SAMSUNG_SDI)	+= samsung-sdi-battery.o
obj-$(CONFIG_BATTERY_COLLIE)	+= collie_battery.o
obj-$(CONFIG_BATTERY_INGENIC)	+= ingenic-battery.o
obj-$(CONFIG_BATTERY_IPAQ_MICRO) += ipaq_micro_battery.o
obj-$(CONFIG_BATTERY_WM97XX)	+= wm97xx_battery.o
obj-$(CONFIG_BATTERY_SBS)	+= sbs-battery.o
obj-$(CONFIG_CHARGER_SBS)	+= sbs-charger.o
obj-$(CONFIG_MANAGER_SBS)	+= sbs-manager.o
obj-$(CONFIG_BATTERY_BQ27XXX)	+= bq27xxx_battery.o
obj-$(CONFIG_BATTERY_BQ27XXX_I2C) += bq27xxx_battery_i2c.o
obj-$(CONFIG_BATTERY_BQ27XXX_HDQ) += bq27xxx_battery_hdq.o
obj-$(CONFIG_BATTERY_DA9030)	+= da9030_battery.o
obj-$(CONFIG_BATTERY_DA9052)	+= da9052-battery.o
obj-$(CONFIG_CHARGER_DA9150)	+= da9150-charger.o
obj-$(CONFIG_BATTERY_DA9150)	+= da9150-fg.o
obj-$(CONFIG_BATTERY_MAX17040)	+= max17040_battery.o
obj-$(CONFIG_BATTERY_MAX17042)	+= max17042_battery.o
obj-$(CONFIG_BATTERY_MAX1720X)	+= max1720x_battery.o
obj-$(CONFIG_BATTERY_MAX1721X)	+= max1721x_battery.o
obj-$(CONFIG_BATTERY_RT5033)	+= rt5033_battery.o
obj-$(CONFIG_CHARGER_RT5033)	+= rt5033_charger.o
obj-$(CONFIG_CHARGER_RT9455)	+= rt9455_charger.o
obj-$(CONFIG_CHARGER_RT9467)	+= rt9467-charger.o
obj-$(CONFIG_CHARGER_RT9471)	+= rt9471.o
obj-$(CONFIG_BATTERY_TWL4030_MADC)	+= twl4030_madc_battery.o
obj-$(CONFIG_CHARGER_88PM860X)	+= 88pm860x_charger.o
obj-$(CONFIG_BATTERY_RX51)	+= rx51_battery.o
obj-$(CONFIG_AB8500_BM)		+= ab8500_bmdata.o ab8500_charger.o ab8500_fg.o ab8500_btemp.o ab8500_chargalg.o
obj-$(CONFIG_CHARGER_CPCAP)	+= cpcap-charger.o
obj-$(CONFIG_CHARGER_ISP1704)	+= isp1704_charger.o
obj-$(CONFIG_CHARGER_MAX8903)	+= max8903_charger.o
obj-$(CONFIG_CHARGER_TWL4030)	+= twl4030_charger.o
obj-$(CONFIG_CHARGER_TWL6030)	+= twl6030_charger.o
obj-$(CONFIG_CHARGER_LP8727)	+= lp8727_charger.o
obj-$(CONFIG_CHARGER_LP8788)	+= lp8788-charger.o
obj-$(CONFIG_CHARGER_GPIO)	+= gpio-charger.o
obj-$(CONFIG_CHARGER_MANAGER)	+= charger-manager.o
obj-$(CONFIG_CHARGER_LT3651)	+= lt3651-charger.o
obj-$(CONFIG_CHARGER_LTC4162L)	+= ltc4162-l-charger.o
obj-$(CONFIG_CHARGER_MAX14577)	+= max14577_charger.o
obj-$(CONFIG_CHARGER_DETECTOR_MAX14656)	+= max14656_charger_detector.o
obj-$(CONFIG_CHARGER_MAX77650)	+= max77650-charger.o
obj-$(CONFIG_CHARGER_MAX77693)	+= max77693_charger.o
obj-$(CONFIG_CHARGER_MAX77705)	+= max77705_charger.o
obj-$(CONFIG_CHARGER_MAX77976)	+= max77976_charger.o
obj-$(CONFIG_CHARGER_MAX8971)	+= max8971_charger.o
obj-$(CONFIG_CHARGER_MAX8997)	+= max8997_charger.o
obj-$(CONFIG_CHARGER_MAX8998)	+= max8998_charger.o
obj-$(CONFIG_CHARGER_MP2629)	+= mp2629_charger.o
obj-$(CONFIG_CHARGER_MT6360)	+= mt6360_charger.o
obj-$(CONFIG_CHARGER_MT6370)	+= mt6370-charger.o
obj-$(CONFIG_CHARGER_QCOM_SMBB)	+= qcom_smbb.o
obj-$(CONFIG_BATTERY_PM8916_BMS_VM)	+= pm8916_bms_vm.o
obj-$(CONFIG_CHARGER_PM8916_LBC)	+= pm8916_lbc.o
obj-$(CONFIG_CHARGER_BQ2415X)	+= bq2415x_charger.o
obj-$(CONFIG_CHARGER_BQ24190)	+= bq24190_charger.o
obj-$(CONFIG_CHARGER_BQ24257)	+= bq24257_charger.o
obj-$(CONFIG_CHARGER_BQ24735)	+= bq24735-charger.o
obj-$(CONFIG_CHARGER_BQ2515X)	+= bq2515x_charger.o
obj-$(CONFIG_CHARGER_BQ25890)	+= bq25890_charger.o
obj-$(CONFIG_CHARGER_BQ25980)	+= bq25980_charger.o
obj-$(CONFIG_CHARGER_BQ256XX)	+= bq256xx_charger.o
obj-$(CONFIG_CHARGER_RK817)	+= rk817_charger.o
obj-$(CONFIG_CHARGER_SMB347)	+= smb347-charger.o
obj-$(CONFIG_CHARGER_TPS65090)	+= tps65090-charger.o
obj-$(CONFIG_CHARGER_TPS65217)	+= tps65217_charger.o
obj-$(CONFIG_AXP288_FUEL_GAUGE) += axp288_fuel_gauge.o
obj-$(CONFIG_AXP288_CHARGER)	+= axp288_charger.o
obj-$(CONFIG_CHARGER_CROS_CONTROL)	+= cros_charge-control.o
obj-$(CONFIG_CHARGER_CROS_USBPD)	+= cros_usbpd-charger.o
obj-$(CONFIG_CHARGER_CROS_PCHG)	+= cros_peripheral_charger.o
obj-$(CONFIG_CHARGER_SC2731)	+= sc2731_charger.o
obj-$(CONFIG_FUEL_GAUGE_SC27XX)	+= sc27xx_fuel_gauge.o
obj-$(CONFIG_FUEL_GAUGE_STC3117)       += stc3117_fuel_gauge.o
obj-$(CONFIG_CHARGER_UCS1002)	+= ucs1002_power.o
obj-$(CONFIG_CHARGER_BD99954)	+= bd99954-charger.o
obj-$(CONFIG_CHARGER_WILCO)	+= wilco-charger.o
obj-$(CONFIG_RN5T618_POWER)	+= rn5t618_power.o
obj-$(CONFIG_BATTERY_ACER_A500)	+= acer_a500_battery.o
obj-$(CONFIG_BATTERY_SURFACE)	+= surface_battery.o
obj-$(CONFIG_CHARGER_SURFACE)	+= surface_charger.o
obj-$(CONFIG_BATTERY_UG3105)	+= ug3105_battery.o
obj-$(CONFIG_CHARGER_QCOM_SMB2)	+= qcom_smbx.o
obj-$(CONFIG_FUEL_GAUGE_MM8013)	+= mm8013.o

=== drivers/s390/crypto/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# S/390 crypto devices
#

ap-objs := ap_bus.o ap_card.o ap_queue.o
obj-$(CONFIG_AP) += ap.o
# zcrypt_api.o and zcrypt_msgtype*.o depend on ap.o
zcrypt-objs := zcrypt_api.o zcrypt_card.o zcrypt_queue.o
zcrypt-objs += zcrypt_msgtype6.o zcrypt_msgtype50.o
zcrypt-objs += zcrypt_ccamisc.o zcrypt_ep11misc.o
obj-$(CONFIG_ZCRYPT) += zcrypt.o
# adapter drivers depend on ap.o and zcrypt.o
obj-$(CONFIG_ZCRYPT) += zcrypt_cex4.o

# pkey base and api module
pkey-objs := pkey_base.o pkey_api.o pkey_sysfs.o
obj-$(CONFIG_PKEY) += pkey.o

# pkey cca handler module
pkey-cca-objs := pkey_cca.o
obj-$(CONFIG_PKEY_CCA) += pkey-cca.o

# pkey ep11 handler module
pkey-ep11-objs := pkey_ep11.o
obj-$(CONFIG_PKEY_EP11) += pkey-ep11.o

# pkey pckmo handler module
pkey-pckmo-objs := pkey_pckmo.o
obj-$(CONFIG_PKEY_PCKMO) += pkey-pckmo.o

# pkey uv handler module
pkey-uv-objs := pkey_uv.o
obj-$(CONFIG_PKEY_UV) += pkey-uv.o

# adjunct processor matrix
vfio_ap-objs := vfio_ap_drv.o vfio_ap_ops.o
obj-$(CONFIG_VFIO_AP) += vfio_ap.o

=== drivers/usb/fotg210/Makefile ===
# SPDX-License-Identifier: GPL-2.0

obj-$(CONFIG_USB_FOTG210)		+= fotg210.o
fotg210-y				:= fotg210-core.o
fotg210-$(CONFIG_USB_FOTG210_HCD)	+= fotg210-hcd.o
fotg210-$(CONFIG_USB_FOTG210_UDC)	+= fotg210-udc.o

=== drivers/usb/musb/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# for USB OTG silicon based on Mentor Graphics INVENTRA designs
#

# define_trace.h needs to know how to find our header
CFLAGS_musb_trace.o	:= -I$(src)

obj-$(CONFIG_USB_MUSB_HDRC) += musb_hdrc.o

musb_hdrc-y := musb_core.o musb_trace.o

musb_hdrc-$(CONFIG_USB_MUSB_HOST)$(CONFIG_USB_MUSB_DUAL_ROLE) += musb_virthub.o musb_host.o
musb_hdrc-$(CONFIG_USB_MUSB_GADGET)$(CONFIG_USB_MUSB_DUAL_ROLE) += musb_gadget_ep0.o musb_gadget.o
musb_hdrc-$(CONFIG_DEBUG_FS)			+= musb_debugfs.o

# Hardware Glue Layer
obj-$(CONFIG_USB_MUSB_OMAP2PLUS)		+= omap2430.o
obj-$(CONFIG_USB_MUSB_DSPS)			+= musb_dsps.o
obj-$(CONFIG_USB_MUSB_TUSB6010)			+= tusb6010.o
obj-$(CONFIG_USB_MUSB_DA8XX)			+= da8xx.o
obj-$(CONFIG_USB_MUSB_UX500)			+= ux500.o
obj-$(CONFIG_USB_MUSB_JZ4740)			+= jz4740.o
obj-$(CONFIG_USB_MUSB_SUNXI)			+= sunxi.o
obj-$(CONFIG_USB_MUSB_MEDIATEK)      		+= mediatek.o
obj-$(CONFIG_USB_MUSB_POLARFIRE_SOC)		+= mpfs.o

# the kconfig must guarantee that only one of the
# possible I/O schemes will be enabled at a time ...
# PIO only, or DMA (several potential schemes).
# though PIO is always there to back up DMA, and for ep0

musb_hdrc-$(CONFIG_USB_INVENTRA_DMA)		+= musbhsdma.o
musb_hdrc-$(CONFIG_USB_TUSB_OMAP_DMA)		+= tusb6010_omap.o
musb_hdrc-$(CONFIG_USB_UX500_DMA)		+= ux500_dma.o
musb_hdrc-$(CONFIG_USB_TI_CPPI41_DMA)		+= musb_cppi41.o

=== security/keys/trusted-keys/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for trusted keys
#

obj-$(CONFIG_TRUSTED_KEYS) += trusted.o
trusted-y += trusted_core.o
trusted-$(CONFIG_TRUSTED_KEYS_TPM) += trusted_tpm1.o

$(obj)/trusted_tpm2.o: $(obj)/tpm2key.asn1.h
trusted-$(CONFIG_TRUSTED_KEYS_TPM) += trusted_tpm2.o
trusted-$(CONFIG_TRUSTED_KEYS_TPM) += tpm2key.asn1.o

trusted-$(CONFIG_TRUSTED_KEYS_TEE) += trusted_tee.o

trusted-$(CONFIG_TRUSTED_KEYS_CAAM) += trusted_caam.o

trusted-$(CONFIG_TRUSTED_KEYS_DCP) += trusted_dcp.o

=== sound/drivers/opl3/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@perex.cz>
#

snd-opl3-lib-y := opl3_lib.o opl3_synth.o
snd-opl3-synth-y := opl3_seq.o opl3_midi.o opl3_drums.o
ifneq ($(CONFIG_SND_SEQUENCER_OSS),)
snd-opl3-synth-y += opl3_oss.o
endif

obj-$(CONFIG_SND_OPL3_LIB) += snd-opl3-lib.o
obj-$(CONFIG_SND_OPL4_LIB) += snd-opl3-lib.o
obj-$(CONFIG_SND_OPL3_LIB_SEQ) += snd-opl3-synth.o

## linux-aws 6.17.0-1001.1

=== debian/changelog ===
linux-aws (6.17.0-1001.1) questing; urgency=medium

  * questing/linux-aws: 6.17.0-1001.1 -proposed tracker (LP: #2122643)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.aws/dkms-versions -- update from kernel-versions
      (main/d2025.08.14)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs after rebase to 6.17
    - [Packaging] Drop forward-backport cruft

  [ Ubuntu: 6.17.0-4.4 ]

  * questing/linux: 6.17.0-4.4 -proposed tracker (LP: #2122321)
  * [SRU] Do not instantiate SPD5118 sensors on i801 SMBus controllers
    (LP: #2114963)
    - SAUCE: i2c: i801: Do not instantiate spd5118 under SPD Write Disable
  * initramfs-tools: autopkgtest fails on arm64 with Possible missing firmware
    /lib/firmware/apple/dfrmtfw-*.bin for built-in driver apple_z2
    (LP: #2115758)
    - [Config] Set TOUCHSCREEN_APPLE_Z2=m (arm64)
  * Support TDX host in questing (LP: #2121873)
    - SAUCE: x86/kexec: Consolidate relocate_kernel() function parameters
    - SAUCE: x86/sme: Use percpu boolean to control WBINVD during kexec
    - SAUCE: x86/virt/tdx: Mark memory cache state incoherent when making
      SEAMCALL
    - SAUCE: x86/kexec: Disable kexec/kdump on platforms with TDX partial
      write erratum
    - SAUCE: x86/virt/tdx: Remove the !KEXEC_CORE dependency
    - SAUCE: x86/virt/tdx: Update the kexec section in the TDX documentation
    - SAUCE: KVM: TDX: Explicitly do WBINVD when no more TDX SEAMCALLs
    - [Config] enable TDX host support
  * minimal kernel lacks modules for blk disk in arm64 openstack environments
    where config_drive is required (LP: #2118499)
    - [Config] Enable SYM53C8XX_2 on arm64
  * Miscellaneous Ubuntu changes
    - [Config] Re-enable Rust support, and make sure it doesn't get disabled
      by accident
    - [Config] updateconfigs for v6.17-rc5 rebase

  [ Ubuntu: 6.17.0-3.3 ]

  * questing/linux: 6.17.0-3.3 -proposed tracker (LP: #2121512)
  *  Enable Xilinx PS UART configs (LP: #2121337)
    - [Config] Enable Xilinx PS UART configs
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)
  * Plucky/Questing fails to boot on (older) Macs (LP: #2105402)
    - SAUCE: hack: efi/libstub: enable t14s boot failure hack only on arm64
  * Miscellaneous Ubuntu changes
    - [Packaging] Fix linux-modules Description, add dependency on wireless-
      regdb from old -extra
    - [Packaging] Fix arch list for bpftool build-dep

  [ Ubuntu: 6.17.0-2.2 ]

  * questing/linux: 6.17.0-2.2 -proposed tracker (LP: #2121374)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)
  * enable Mediatek media platform drivers on arm64 (LP: #2116138)
    - [Config] enable mediatek media platform drivers
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/38]: Stacking: Audit: Create audit_stamp
      structure
    - SAUCE: apparmor5.0.0 [2/38]: Stacking: Audit: Allow multiple records in
      an audit_buffer
    - SAUCE: apparmor5.0.0 [3/38]: Stacking: LSM: security_lsmblob_to_secctx
      module selection
    - SAUCE: apparmor5.0.0 [4/38]: Stacking: Audit: Add record for multiple
      task security contexts
    - SAUCE: apparmor5.0.0 [5/38]: Stacking: Audit: multiple subject lsm
      values for netlabel
    - SAUCE: apparmor5.0.0 [6/38]: Stacking: Audit: Add record for multiple
      object contexts
    - SAUCE: apparmor5.0.0 [7/38]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [8/38]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [9/38]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor5.0.0 [10/38]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [11/38]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [12/38]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [13/38]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [14/38]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [15/38]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [16/38]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [18/38]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [19/38]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [20/38]: aoparmor: userns: Add support for execpath
      in userns
    - SAUCE: apparmor5.0.0 [21/38]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [22/38]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [23/38]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [26/38]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [27/38]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [28/38]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [29/38]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [30/38]: apparmor: add AA_DEBUG_PROFILE to have
      debug on profiles with flag set
    - SAUCE: apparmor5.0.0 [31/38]: apparmor: make str table more generic and
      be able to have multiple entries
    - SAUCE: apparmor5.0.0 [32/38]: apparmor: check for supported version in
      notification messages.


=== debian/control ===
Source: linux-aws
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSC-Ubuntu-Compatible-Signing: ubuntu/4 pro/3
Rules-Requires-Root: no
Standards-Version: 3.9.4.0
Build-Depends:
 gcc:native, gcc-aarch64-linux-gnu [arm64] <cross>, gcc-arm-linux-gnueabihf [armhf] <cross>, gcc-powerpc64le-linux-gnu [ppc64el] <cross>, gcc-riscv64-linux-gnu [riscv64] <cross>, gcc-s390x-linux-gnu [s390x] <cross>, gcc-x86-64-linux-gnu [amd64] <cross>,
 debhelper-compat (= 10),
 cpio,
 kmod <!stage1>,
 makedumpfile [amd64] <!stage1>,
 libcap-dev <!stage1>,
 libelf-dev <!stage1>,
 libnewt-dev <!stage1>,
 libiberty-dev <!stage1>,
 default-jdk-headless <!stage1>,
 java-common <!stage1>,
 rsync [!i386] <!stage1>,
 libdw-dev <!stage1>,
 libpci-dev <!stage1>,
 pkg-config <!stage1>,
 python3 <!stage1>,
 python3-dev <!stage1>,
 python3-setuptools,
 flex <!stage1>,
 bison <!stage1>,
 libunwind8-dev [amd64 arm64 armhf ppc64el] <!stage1>,
 liblzma-dev <!stage1>,
 openssl <!stage1>,
 libssl-dev <!stage1>,
 libaudit-dev <!stage1>,
 bc <!stage1>,
 gawk <!stage1>,
 libudev-dev <!stage1>,
 autoconf <!stage1>,
 automake <!stage1>,
 libtool <!stage1>,
 uuid-dev <!stage1>,
 libnuma-dev [amd64 arm64 ppc64el s390x] <!stage1>,
 libtraceevent-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 libtracefs-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 dkms <!stage1>,
 dwarfdump <!stage1>,
 curl <!stage1>,
 zstd <!stage1>,
 pahole (>= 1.29-2ubuntu2) [amd64 arm64 armhf ppc64el s390x riscv64] | dwarves (>= 1.21) [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 clang-18 [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustc [amd64 arm64 armhf ppc64el riscv64 s390x],
 rust-src [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustfmt [amd64 arm64 armhf ppc64el riscv64 s390x],
 bindgen [amd64 arm64 armhf ppc64el riscv64 s390x],
 libstdc++-dev,
Build-Depends-Indep:
 xmlto <!stage1>,
 bzip2 <!stage1>,
 sharutils <!stage1>,
 asciidoc <!stage1>,
 python3-docutils <!stage1>,
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-aws/+git/questing
XS-Testsuite: autopkgtest
#XS-Testsuite-Depends: gcc-4.7 binutils

Package: linux-aws-headers-6.17.0-1001
Build-Profiles: <!stage1>
Architecture: all
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils
Breaks: iscsitarget-dkms (<< 1.4.20.3+svn502-2ubuntu4.4)
Description: Header files related to Linux kernel version 6.17.0
 This package provides kernel header files for version 6.17.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-aws-headers-6.17.0-1001/debian.README.gz for details

Package: linux-aws-tools-6.17.0-1001
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel version specific tools for version 6.17.0-1001
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 6.17.0-1001 on
 =HUMAN=.
 You probably want to install linux-tools-6.17.0-1001-<flavour>.

Package: linux-aws-cloud-tools-6.17.0-1001
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
Description: Linux kernel version specific cloud tools for version 6.17.0-1001
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud tools for version 6.17.0-1001 on
 =HUMAN=.
 You probably want to install linux-cloud-tools-6.17.0-1001-<flavour>.

Package: linux-image-unsigned-6.17.0-1001-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-6.17.0-1001-aws
Recommends: grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | lilo [amd64] | grub-efi-arm64 [arm64], initramfs-tools | linux-initramfs-tool
Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
Conflicts: linux-image-6.17.0-1001-aws
Suggests: bpftool, linux-perf, linux-aws-doc-6.17.0 | linux-aws-source-6.17.0, linux-aws-tools, linux-headers-6.17.0-1001-aws
Description: Linux kernel image for version 6.17.0 on DESC
 This package contains the unsigned Linux kernel image for version 6.17.0 on
 DESC.
 .
 Supports AWS processors.
 .
 Geared toward Amazon Web Services (AWS) systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-aws meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-unsigned-6.17.0-1001-aws-dbgsym
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 6.17.0 on DESC
 This package provides the unsigned kernel debug image for version 6.17.0 on
 DESC.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-modules-6.17.0-1001-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-6.17.0-1001-aws | linux-image-unsigned-6.17.0-1001-aws
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel extra modules for version 6.17.0 on DESC
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports AWS processors.
 .
 Geared toward Amazon Web Services (AWS) systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-aws meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-extra-6.17.0-1001-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, wireless-regdb, linux-modules-6.17.0-1001-aws
Description: Linux kernel extra modules for version 6.17.0 on DESC
 This package contains the Linux kernel extra modules for version 6.17.0 on
 DESC.
 .
 Supports AWS processors.
 .
 Geared toward Amazon Web Services (AWS) systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-modules-extra-aws meta-package, which will ensure that upgrades
 work correctly, and that supporting packages are also installed.

Package: linux-headers-6.17.0-1001-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-aws-headers-6.17.0-1001, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux kernel headers for version 6.17.0 on DESC
 This package provides kernel header files for version 6.17.0 on
 DESC.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-6.17.0-1001/debian.README.gz for details.

Package: linux-tools-6.17.0-1001-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-aws-tools-6.17.0-1001
Description: Linux kernel version specific tools for version 6.17.0-1001
 This package provides the architecture dependant parts for kernel
 version locked tools (such as x86_energy_perf_policy) for
 version 6.17.0-1001 on
 =HUMAN=.

Package: linux-cloud-tools-6.17.0-1001-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-aws-cloud-tools-6.17.0-1001
Description: Linux kernel version specific cloud tools for version 6.17.0-1001
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 6.17.0-1001 on
 =HUMAN=.

Package: linux-udebs-aws
Build-Profiles: <!stage1> <!noudeb> <!cross> <!autopkgtest>
XC-Package-Type: udeb
Section: debian-installer
Architecture: amd64 arm64
Depends: ${udeb:Depends}
Description: Metapackage depending on kernel udebs
 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.

Package: linux-buildinfo-6.17.0-1001-aws
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel buildinfo for version 6.17.0
 This package contains the Linux kernel buildinfo for version 6.17.0.
 .
 You likely do not want to install this package.

Package: linux-image-unsigned-6.17.0-1001-aws-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-6.17.0-1001-aws-64k
Recommends: grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | lilo [amd64] | grub-efi-arm64 [arm64], initramfs-tools | linux-initramfs-tool
Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
Conflicts: linux-image-6.17.0-1001-aws-64k
Suggests: bpftool, linux-perf, linux-aws-doc-6.17.0 | linux-aws-source-6.17.0, linux-aws-tools, linux-headers-6.17.0-1001-aws-64k
Description: Linux kernel image for version 6.17.0 on DESC
 This package contains the unsigned Linux kernel image for version 6.17.0 on
 DESC.
 .
 Supports AWS processors.
 .
 Geared toward Amazon Web Services (AWS) systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-aws-64k meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-unsigned-6.17.0-1001-aws-64k-dbgsym
Build-Profiles: <!stage1>
Architecture: arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 6.17.0 on DESC
 This package provides the unsigned kernel debug image for version 6.17.0 on
 DESC.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-modules-6.17.0-1001-aws-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-6.17.0-1001-aws-64k | linux-image-unsigned-6.17.0-1001-aws-64k
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel extra modules for version 6.17.0 on DESC
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports AWS processors.
 .
 Geared toward Amazon Web Services (AWS) systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-aws-64k meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-extra-6.17.0-1001-aws-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, wireless-regdb, linux-modules-6.17.0-1001-aws-64k
Description: Linux kernel extra modules for version 6.17.0 on DESC
 This package contains the Linux kernel extra modules for version 6.17.0 on
 DESC.
 .
 Supports AWS processors.
 .
 Geared toward Amazon Web Services (AWS) systems.
 .
 You likely do not want to install this package directly. Instead, install
